OpenSSLServer Class Reference

`#include <tlsopensslserver.h>`

Inheritance diagram for OpenSSLServer:
[legend]

## Public Member Functions

| OpenSSLServer (TLSHandler *th)
virtual | ~OpenSSLServer ()
Public Member Functions inherited from OpenSSLBase
| OpenSSLBase (TLSHandler *th, const std::string &server=EmptyString)
virtual | ~OpenSSLBase ()
virtual bool | init (const std::string &clientKey=EmptyString, const std::string &clientCerts=EmptyString, const StringList &cacerts=StringList())
virtual bool | encrypt (const std::string &data)
virtual int | decrypt (const std::string &data)
virtual void | cleanup ()
virtual bool | handshake ()
virtual void | setCACerts (const StringList &cacerts)
virtual void | setClientCert (const std::string &clientKey, const std::string &clientCerts)
Public Member Functions inherited from TLSBase
| TLSBase (TLSHandler *th, const std::string server)
virtual | ~TLSBase ()
void | setInitLib (bool init)
virtual bool | isSecure () const
virtual bool | hasChannelBinding () const
virtual const std::string | channelBinding () const
virtual const std::string | channelBindingType () const
virtual const CertInfo & | fetchTLSInfo () const

## Detailed Description

This class implements a TLS server backend using OpenSSL.

Author
  Jakob Schröter js@ca.nosp@m.maya.nosp@m..net

Since
  1.0

Definition at line 35 of file tlsopensslserver.h.

## Constructor & Destructor Documentation

## OpenSSLServer()

OpenSSLServer | ( | TLSHandler * | th | ) |

Constructor.

Parameters

  th | The TLSHandler to handle TLS-related events.

Definition at line 28 of file tlsopensslserver.cpp.

## ~OpenSSLServer()

~OpenSSLServer | ( |  | ) |

virtual

Virtual destructor.

Definition at line 33 of file tlsopensslserver.cpp.

The documentation for this class was generated from the following files:

- tlsopensslserver.h
- tlsopensslserver.cpp